How to downgrade from iOS 7 to iOS 6.1.3 on your iPhone 4 using iFaith

iFaith2

If you’ve an iPhone 4 and have saved SHSH blobs for iOS 6.1.3, then it is possible to downgrade from iOS 7 to iOS 6.1.3 or earlier using iFaith.

We had briefly mentioned this a days back, but we finally managed to successfully downgrade from iOS 7 to iOS 6.1.3, so we thought of sharing the step-by-step instructions for those interested in downgrading.

Some important points before we proceed (please read them carefully before proceeding):

  • iFaith developed by iH8sn0w is only available for Windows.
  • You can downgrade only if you’ve iOS 6.1.3 SHSH blobs. This method should also work if you’ve SHSH blobs for iOS software updates released before iOS 6.1.3 such as iOS 6.1.2 etc.
  • This method currently works only on iPhone 4. It is not possible to downgrade any of the other iOS 7 compatible devices like the iPhone 5, iPhone 4s, iPad 4, iPad 3, iPad 2, iPad mini and iPod touch 5G.
  • This process involves restoring your device with custom iOS firmware file, so restoring it from back up could be a time consuming process. So do this when you have time on your hand.
  • After you’ve downgraded to iOS 6.1.3, you will be able to restore from only an iOS 6.1.3 compatible backup. You won’t be able to restore from the iOS 7 backup, so it may be a good idea to take a backup of your photos and videos. There are several third-party solutions like Dropbox (iTunes link) and Google+ (iTunes link) that auto-upload your photo library to the cloud, so you can recover your life moments if something goes horribly wrong, and also to recover the photos and videos you had taken after upgrading to iOS 7.
  • Even though the iOS 7 backup may not be useful once you downgrade, it is a good idea to take a backup using iTunes or iCloud so you can recover the data if you realize, you’ve lost something critical during the downgrade process.

Follow these instructions to downgrade your iPhone 4 from iOS 7 to iOS 6.1.3.

  • Download iFaith from this link, and unzip the file.
  • Download iOS 6.1.3 firmware file for iPhone 4 from this link.
  • Connect your iPhone to your computer.
  • Double click on the iFaith icon, and click on the “Ok” button.

iFaith1

  • Then click on “Show Available SHSH Caches on Server.”

iFaith2

  • It will prompt you, if you want to use your newly connected device. Click “Yes” to continue.
  • Here you will will show 3 options. Click on the the 3rd option, “Show list of available SHSH blobs on TSS server(s).”

iFaith4

  • This will download all the SHSH blobs from Cydia servers and iFaith if you had saved them locally.

iFaith5

  • Select the blob from Cydia or iFaith for iOS 6.1.3 and click on “Download selected blob(s).” It will prompt you to save the blob locally, select the location, preferably Desktop and click “Ok.”
  • It will inform you when it has finished downloading the SHSH blob for iOS 6.1.3, click “Ok.” It will also inform you that it has successfully verified the apt tickets for iOS 6.1.3, click “Ok.”
  • It will again prompt you if want to use the newly connected device, click “No” to exit iFaith.
  • Double click on the iFaith icon to launch it again, then click “Ok” to continue.
  • Now you need to click on the “Build signed IPSW w/ blobs” option.

iFaith2

  • Click “Browse for blobs” and point it to the SHSH blob you had downloaded earlier (the file has .shsh extension).

iFaith6

  • It will inform you that “the provided apticket looks valid,” click “Ok” to continue.
  • Now click on the “Browse for the IPSW” button and point it to iOS firmware file you had downloaded earlier, or you can ask iFaith to download it for you by clicking on the “Download it for me” option.

iFaith7

  • It will verify the IPSW. If it is the correct one, it will give you an option to “Build IPSW,” click on it to continue.

iFaith8

  • iFaith will now build the custom IPSW file using the iOS firmware file and SHSH blobs. It can take a while, so please be patient.
  • After it is done, it will inform you that it has “finished creating your custom “signed” IPSW.” Note the filename. Click on the “Ok” button to continue.
  • You now need to put your device in pwned DFU state. Turn off your iPhone and click on the “Start” button and follow the on-screen instructions to put it in pwned DFU state.
    • Prepare to press and hold Power and Home button in 5 seconds.
    • Press and hold Power and home button for 10 seconds and prepare to release Power button.
    • Release the Power button and Continue holding the Home button for 30 seconds.
  • After it has detected the device is in DFU mode, it will run iREB and inform you that your device is successfully in pwned DFU state. Click on the “Ok” button, and “Ok” again to exit iFaith.
  • Now launch iTunes 11.0. It should prompt you that iTunes has detected in recovery mode. Click “Ok” to continue.
  • Hold down on the Shift key and click the “Restore iPhone…” button in the Summary pane. Browse to the custom .ipsw file (has the words “iFaith” and “signed” in the file name) and select it.
  • iTunes will take sometime to restore your iPhone with the custom firmware file. Do not disconnect your device until the restore has finished.
  • After the restore is successful, follow the onscreen instructions on your iPhone to set it up. You may restore from the backup.

That’s it, you’ve successfully downgraded your iPhone 4 from iOS 7 to iOS 6.1.3.  

Check the video to watch the walkthrough of the entire process:

As always, let us know how it goes. Please feel free to drop us a line in the comments if you’ve any questions.

Like this post? Share it!

  • Alex Ortiz

    I Was Able To Downgrade All The Way Back To iOS 5.0.1 As My iOS 6 Blobs Were No Good. THANK YOU!

  • Adrian

    Can this be done for downgrading from 7 to 6.1? I don’t have the shsh blobs for 6.1.3.

    • Jimothy

      Very much so. If you have saved blobs, and you’re on A4, you can go to any iOS. :)

      • kakarot

        hi i have my ios 6.1.3 shsh blobs saved on my laptop and i got
        a iphone 4s is there any way i can downgrade as my battery dies so fast it un real thanks for anyhelp

        • Jimothy

          No, sorry. No A5+ downgrade. :(

  • kimi

    Thank,s a lot ihave successfully downgrade my iphone ios 7.0.2 to ios 6.1.3 while i have blobs on cydia servr & on my computer

    • Dilshan Pathirana

      can u send those blobs and cydila to me

      my email address
      dilshan22@gmail.com

    • Tharuka Dilshan

      Help me sir… i can’t save shsh blob using my iphone 4 on ios 7 …. i wanna downgrade 7.0,3 to 6.1.3… plzz help me,, i hate jailbreak devices. am i downgrade ios 7.0,3 to ios 6.1.3 after is it jailbreak???? i wanna downgrade without jailbreak?????

    • kaushal

      r u from india???

    • jeff

      can u give me blobs for 6.1.3? email me a7x.jeff08@gmail.com thanks in advanced

      • http://www.iphonehacks.com iPhoneHacks

        Blobs are unique for a device so you can’t use blobs from another device.

        • siddhu

          does this work on iTunes 11.0.3 and pls help me iam in the final step .. recovering my iphone 4

        • Affan Suid

          what if I haven’t blobs and I already have iOS 7,, and I wanna downgrade to 6.1.3?? is there any solution?

    • Sanju

      Can you please mail me the shsh blob file!
      mr.mesmerizer@yahoo.com

    • junaid

      how can i get blobs????

  • emmanuel

    thanks man i thought i was never gonna get rid of ios 7 now im back to ios 6.1.3

  • Arjun

    thanx

  • Drocker82

    Iphone 5 is truly hard to hack apple is getting smarter

  • Elim

    Charming as always ……………. Thanks.

  • Michael

    hey i have an iphone 4 and I did not save SHSH blobs for iOS 6.1.3 can I downgrade from iOS 7:02 iOS 6.1.3 then? plx help me

    • Gautam

      You need SHSH blobs to create the custom firmware. If you had jailbroken your iPhone 4, then there is a high change the blobs are available on Cydia, so you could try.

  • Raja

    I have even blobs but itues says error 11 :( plz help

  • hillandwer

    so its does’n work without SHSH saved ?

    • Gautam

      No, you need the SHSH blobs to create the custom firmware. If you had jailbroken your iPhone 4, then there is a high change the blobs are available on Cydia, so you could try.

      • hillandwer

        No, unfortunatly I didn’t have jailbreak and SHSH blobs I didn’t save. Think the way to iOS 6 is close to me (((
        Thanx bro.

  • David

    Hi…. will this come out for iphone 5 ? i got problem with my iphone using ios 7 …

  • Nobody

    Guys I uninstalled iTunes and downloaded iTunes 11.0.5 but after extracting the software I got error 11

    • Nobody

      Never mind now I know I should uninstall application support and mobile support

      • Exy173

        i might be strange to ask that but how do u uninstal those ??
        please reply

        • alep

          just go to control panel on your computer,go to program and there’s option to uninstall

      • muki

        when i uninstall application support itunes doesn’t work

  • thereisnogod

    iFaith has found that following aptickets are incomplete:
    6.0.1 (10A523) [Cydia]
    6.1.2 (10B146) [Cydia]

    *This impact your ability to restore using the listed blobs!
    *Restoring with the listed blobs may put your device in DFU loop!

    I got this problem, any1 help??

    • Jimothy

      Sadly, this is because Cydia failed to fetch all the required files. Nothing can be done about it. It makes me upset; all my iOS 6 blobs are that way.

  • bboyrf

    my iphone 4 cdma cannot back down either to ios 6.1.3 or 6.1.2 because i havent saved the shsh blobs before. any idea mate?

  • helpme

    Whenever im downgrading and its 99% left of the downgrade from 7.0.2 to 6.1.3 (with saved blobs and everything correct) i get error 37 why??? Im on windows 8

    • Jay

      It probably means that your saved shsh are corrupted, try a different save if you got any

      • IAmTheBoss

        Try to use SHSH blobs from the cydia cache server

    • DaDude

      haha

  • http://www.frivlink.com/ frivlink

    Sadly, this is because Cydia failed to fetch all the required files.

    • hellpme

      Was that comment for me?

  • helpme

    I finally got it worked! Thank you so much! if you get error 37 then something is wrong with your api tickets or shsh blobs (propably broken), so my suggestion is to try another shsh, for example my 6.1.3 shsh didnt work, but my 6.1 shsh worked.

  • infreeze

    cant anybody just not share a download link for 6.1.3shsh then because i dident save my shsh for 6.13

    • Britannic

      No, cause they are unique to each device

      • Infreeze

        Crap ;(, lets hope Apple opens the servers then

  • infreeze

    got i iphone 4 gsm

  • Rana

    Hello…
    If i downgrade ios7 to 6.1.3 with your method, can i upgrade to 7 again with official apple update??? Please reply me…

    ranadve@gmail.com

    • helpme

      Of course

  • FFD2

    Hi, I have iphone 4 and I can downgrade to ios 5.1.1.
    After downgrade can I upgrade to ios 6.1.3 ??

    • Cody Darnell

      No you cannot as you do not have the SHSH file for 6.1.3

  • Kim

    Please help i am using iPhone 4, iOS 7.0 and dont have SHSH blobs, there must be some way to downgrade back.

    • helpme

      There is no way

  • JorgeJ

    Can I use the SSH blobs of one Iphone 4 to downgrade another Iphone 4? My wife upgraded hers but I still have mine on 6.1.3

  • jorgej

    Can I use the shh blobs of my iphone4 to restore my wife’s? I am still running 6.1.3
    She also has an Iphone 4 (mine is a 64 hers is 32)

  • jorgej

    My wife upgraded her iphone4 but I still have mine running 6.1.3. Can I use my SSH blobs to downgrade hers? I still run itunes 10.7.0.21

    • helpme

      You can not. Shsh are unique to a device. Its like fingerprints!

  • Rmo

    I don’t have SHSH Blobs, Is there any possibility to downgrade my iPhone 4 to 6.1.3, please help

    • helpme

      No..

  • noname

    I don’t have an SHSH blobs. Are there any possible way to downgrade it?

    • helpme

      No

  • Keshav

    Sir can you provide iFaith download link ? plz

    • helpme

      Why dont you just google it? its 2013.

  • optimus

    thank you succes for me :D but little aplication i use it ireb-r7 because my itunes eror

  • Vivek

    i have iphone 5(11A465)
    and i will show only 1.shsh. that is 6.1.4 bt i wanna downgrade 6.1.2 so what can i do
    HELP!!!!!!!!!!!!!

  • Sholee

    I’m getting error 1600 when i try to recover my phone in itunes. The 6.1 shsh blobs didn’t work so i tried the 5.1 shsh and everything worked fine until I got into recovery in itunes. It shows 1600 error. What do i do.

  • marciel

    Hi ;
    İ have 6.1.2 shsh can i downgrade from 7to 6.1.2 or i cant ?

    • Gautam

      You should be able to as long you have iPhone 4.

      • marcifl

        Yes i have 4

        • Khalid

          so , go ahead.

          • Abdulazeez

            please Khalid help me out, am having problem with my i phone3GS. I upgrade the iphone to v 6.1 and its not activating network. and i don’t why. please if have any solution to it, please mail me on”abdullahiabdulazeez66@gmail.com

      • Himanshu

        please mail me shsh on “hmp5015@gmail.com”

    • Sanju

      Please mail me the shsh blob file!
      mr.mesmerizer@yahoo.com

  • SeFix

    Is there any chance that if i put cydia on my iphone again, that i can fetch the 6.x.x blobs? I am on 5.1.1 now, but i want to upgrade tot 6.1.3, but the blobs i fetch now from cydia are broken..

  • 李皓哲

    Excuse me,can it work on iOS 7.0.3? I am downgrading my iPad 2 to 5.1.1 and it said adticket not support

    • Jay

      You can’t downgrade iPad2, it only works on iPhone4

      • 李皓哲

        too bad…but thanks for your reply

  • yaSi

    hi,
    i have COMPLETE uninstall Itunes an then Try to install Itune 11.0 and also 11.0.4 . but after installing its Comes an Error That ” The file Itunes Library.itl” cannot be read because it was created by a new version of Itunes ” ..and then i cant open these Itunes..
    Anybody has Solution for this problem? please help..!!

    • Jay

      just delete the file Library.itl from your userMy MusiciTunes folder and restart iTunes

      • Zee

        I’m trying to delete the Library.itl file but I cant find it!!! help plz

        • deago

          go to c drive-user-music-itunes

  • GHAMDAN

    I have iphone 5 and I need to downgrad from 7.0.2 to 6.1. Pls help me?

  • matthew

    I have ios 7.02 and hate it !! Can I downgrade to 6.1.3 as I have iPhone 4 (dont know if its GSM or CDMA .. where would I find out should this be necessary info) Please email me at MatthewDM617@aol.com @disqus_i8kZJxQxXM:disqus could you email me too because it looks like you were able to do it! Thanks Everyone. I hate ios 7.0.2 !!!

    • Gautam

      You need iOS 6.1.3 SHSH blobs for it to work. If you had jailbroken your device it is possible that the SHSH blobs were cached on Cydia servers. You can use iFaith to check if the SHSH blobs are available.

      • matthew

        Can you email me step by step instructions? I am disabled and to do what your doing I may mess up. I do not know what Cydia is or what to do next.

        • Duh

          You’re too late. Your phone had to be jailbroken (you would know what Cydia is then) before you upgraded to 7.x, and you would need also to have used IFaith to save “blobs” and APTicket (through Cydia) also before upgrading to 7.x.
          You’re stuck with 7 until a new solution comes alondg

      • cheah soo yong

        hi, can you e-mail me the blobs??? please

  • Tiago Santos

    any on can share me the blobs because it just find the ios 5 blobs nothing to 6.1.3 if any one can sahre me the blobs 6.1.3 cydia i will be greatful email: tiago77.santos@hotmail.com ty

  • Tiago Santos

    i dont jailbroke on 6,1,3 if i do this downgrade i will have cydia ?

  • warren.r

    i saved my shsh file using tinyumbrella..do i jump to build signed ipsw with blobs using the file from tiny umbrella?

    • AAAA@live.dk

      YES

  • Abouzar Faqire

    wooohooo i got my real iphone 4 mobile tnx alot dear for this

  • Srijith

    Hey. If my Iphone is not jailbroken and i dont have my shsh file saved for IOS 6.1.3, then what should I do. Please suggest. I really want to downgrade. :(

  • abaracasoso

    whats with this error, “ifaith has found that the following aptickets are incomplete”

  • jim

    Any way to downgrade IPHONE 4S? hmmm @@

  • Anonymous

    I get an error 11 on iTunes when it was restoring my iphone 4 please help.

    • AA

      Try other SHSH blobs. Did the same, tried other one from cydia and then worked

  • indika

    thank you very much i did it successfully

  • senthil

    it will work in ipad mini?

  • ALD

    if we are not jailbroken, do we pick 6.1.3 (iFaith) instead of 6.1.3 cydia?

    • Mahmoud Osama

      no it doesn’t matter choose whatever you want

    • George

      If your phone was never jailbroken then sorry to say but your are stuck with this ios until next jailbreak comes out be patient.we are all waitting for new jailbreak.

  • Ubaid

    ifaith couldnt find firmware after clicking third option… what to do??

  • Aman Gupta

    Thanks buddy… you made my day…. do it guys.. don’t wry.. Completely successful method…..

  • markonachy

    Super gracias miles me dio problemas itunes con el error 1600 segui este tutorial y resuelto gracias a ti tuve los ssh con los que me sirvio para restaurar con IREB en mi caso lo que quise fue restaurarlo a la misma version 6.1.3 ihpone 4 descargue el IREB 7 que es la que asimila los ios 6 ya que cydia me estaba dando problemas para instalarla de nuevo ,,,exelente video

  • markonachy

    del tutorial que hablo es del IREB ……salir del error 1600

  • Kashyap

    when i am trying to show list of available SHSH blobs at that time it shows me “None” only option please help me to solve these quarry

    • yokesh

      i am also in the same position
      any body help pls

    • xoxoxoxox

      have the same problem,’

    • khatavion

      my new iphone is getting on my nerves.i just upgraded it to ios 7 and i have iphone 4.just because i have no sim card.

    • Dilshan Pathirana

      i have the same problem please helps us

    • Mahmoud Osama

      just download redsnow 0.9.15b3 and press extras –> shsh blobs –> fetch then submit then query if in the last step you found the shsh blobs you need then go to ifaith and try again (sorry for the bad english :( )
      hope i can help you :D

    • George

      Bad news your phone was never jailbroken there for you can not downgrade sorry.

  • pls . help me :/

    IM IN IOS 7.0.2 AND I WANT TO DOWNGRADE MY IPHONE 4 INTO IOS 4.3 . IT IS POSSIBLE ?

    • Melvin

      check if sign in by apple, 6.1.3 also

    • George

      Idont think that Apple is signing those shsh blobs anymore,must be ios5 and up.

  • yokesh

    is it ok with itunes 10.5.2??

  • yokesh

    i dont have any available blobs even i had downloaded ‘em.
    help me pls

  • Ming

    can I downgrade if my iphone 4 is a lock iphone?

  • Juan T. Perez

    Hi, I have an iPhone 4S sprint with 7.0.2 in it that was never jailbroken. Is it possible for me to downgrade to 6.x.x ?

    Thank You

    • George

      sorrry pbut not possible,the phone had to be jailbroken in order to save shsh blobs to Cydia.No jailbreak No Blobs,sorry.but if you bought the phone from somebody else it could be possible that they might have jailbroken the phone which have left shsh blobs to cudia and that is one way of downgrading if the phone was jb from before of purchase.

  • Ashwin Tandel

    After clicking on start and enter the device in DFU mode ifaith pops up a message saying its not able to identify my device and asks me to run ifaith as administrator. I did so but still its the same error. Please help.

  • I_am_Jeffy

    ok so what if you didn’t have the Blobs .. how do I do that

  • I_am_Jeffy

    so if I don’t have the Blobs how do I do that. because when I click on Show available SHSH caches on sever it says none.. am I doing something wrong ??

    • Gautam

      It’s not possible to downgrade without the SHSH blobs.

      • I_am_Jeffy

        and where do I get the SHSH blobs because im a lil bit confuse . sorry to bother . im just asking

        • Ahmed

          you cant get it now for the older versions!~~Try a Shop or Somethin

          • I_am_Jeffy

            thank you. but im sorry what do u mean by shop ..?

  • Ahmed

    hey i downgraded my iphone 4 cdma to 6.1.3 via this method~~ Now I Am Trying To Jailbreak My Iphone But Its Not Working Via RedSnow~~it Gets Stuck On uploading First Stage~~Need Help~~

  • ganya

    iTune 11.0 is not installing in my Laptop.Error is showing”itunelibrary.ilt can not be read because it was created by a newer version of iTunes”.Please help me I am very frustrated with iOs 7

  • NeedHelp

    does it jailbreak your iphone?

    • NeedHelp

      And does it work even if my iphone is not jailbroken?

  • karine

    It will inform you that “the provided apticket looks valid,” click “Ok” to continue.
    After this it never goes to the picture with the download it for me option.

  • Master Demo

    Why Error?
    Please Tell Me How To Fix This Error
    i use Iphone 4s Version 7.0.3

    • Abira Assaif

      You Ende entering dfu mode… Correct me if im wrong

  • MALIK ISMAIL

    Sir i have an iphone 4 (CDMA) factory unlock [ NOT JAILBRAKE ] i have AN ios 7.0.2 Plz help to downgrade my iphone in ios 6.1.3 …. What can i do plz help I do not install CYDIA in my iphone

  • Josh

    Every time I try I get either error 1600 which is usb port or cable which I know its not either one because I’ve tried three different cabled and three different computers.. Then it will some times say will say waiting for Iphone and never move from that screen.. I hate Ios 7 should’ve never upgraded… I had my Shsh Blobs saved from cydia but Ifaith says they’re corrupt and RedSnow says they’re fine

  • Tharuka Dilshan

    Sir. I want to downgrade ios 7.0,3 to ios 6.1.3 .. PLzz help me. i cant save 61.3 shsh blolb using my ipohne 4. How can i save shsh blob using iphone 4 in ios 7.0.3 .. I wanna downgrade but i didnt want jailbreak. i hate jailbreak devices. am i downgrade ios 7.0,3 to ios 6.1.3 after is it jailbreak???? i wanna downgrade without jailbreak?????

  • Jacky Teaw

    my iphone 4 only can downgrade from ios 7 to ios 4….

    Can i downgrade to ios 4 then upgrade to ios 6 again???

  • Luqman Hakim

    when i click “Show list of available SHSH blobs on TSS server(s).” it just only have until 5.1.1r1 and not 6.1.3 then how to get 6.1.3?

    • Luqman Hakim

      any comment here?

  • Guest

    when i try to downgrading all Process will be fine but at last when itune star downgrading mobile show ifaith logo and then nathi happen ifaith logo stuck it show same status after 1 house .. but nothing happen pleas help me .

    i am useing iphone 4 . and trying to ios 7 to 6.1.3

  • Jayanti Patel

    when i try to downgrading all Process will be fine but at last when itune star downgrading mobile show ifaith logo and then nathi happen ifaith logo stuck it show same status after 1 house .. but nothing happen pleas help me .

    i am useing iphone 4 . and trying to ios 7 to 6.1.3

  • iDmo

    i have followed the steps …i have iphone 4 GSM and when i start restoring using iFaith created file i get a error message from itunes… what am i doing wrong?

    • suhail

      bro i also get an error but it’s error 1600 can anyone help???

      • iDmo

        Clearly nobody who can help is reading this forum… i have had this up for some time now and no response…

        • http://www.iphonehacks.com iPhoneHacks

          It looks you haven’t put the device in pwned DFU mode.

          • iDmo

            i have put it into DFU mode but i still get th error. i used the iFaith software and followed the on screen instructions to put it into DFU mode. any other suggestions?

  • Surya Kumar

    sir,pls help me…i,m getting no availble blobs on my iphone 4…so what can i do..

  • cyres

    Thank you so much! Worked for me. I was trying to upgrade my ipod 4g to ios 6.1.3 and for some stupid reason it kept getting stuck at the verification stage with the message “ipod software update server could not be contacted” and then my ipod would be stuck in recovery mode. Downloaded tinyumbrella to get ipod out of recovery mode. I tried all the suggestions from Apple (install newest itunes, change firewall settings etc). Tried using Redsnow to stitch an shsh file into my update file from Apple (these are all programs that i’ve never used before). Wouldn’t work. Was about to give up and iFaith worked! What a life saver!

  • pinkey

    can you jailbreak after downgreaded back to ios 6.1.3

  • Jailbr3ak??

    I’ve successfully downgraded to iOS 6.1.3, now my question is can I jailbreak with redsn0w using the “signed” ipsw? Will this work?

  • Muhammad Shafeeq

    wooooooooow working so fine i just downgrade my iphone 4 from 7 to 6.1.3 without errorrs .. loved it now :) thanks Ifaith .. ;)

    • Ley

      Boley share macam mana nak buat bro..?

  • don

    worked like a beast thanks i know this is old but still i’ll wait til they come out ios 7 jailbreak

  • ibrahim shah

    it shows me these two blobs but after that when i downlaod it it says they are incomplete don’t know wat to do really freaking me out :(

  • Vlad Dj Kax

    Worked perfectly here with my iPhone 4. I was making a mistake in the pwned dfu mode step, but as soon as i realized it, all went well.

    Coming back from ios 7 to 6 in iPhone 4 makes me have the impression that everything is faster now. Even though I thought iOS 6 was the slow one :-P
    Even after the bugs in 7 are solved, I think I’ll keep it with 6. iPhone 4 HW just is not strong enough to bear ios 7, IMHO.

    The only thing weird is that the app store is behaving in a strange manner, warning me of app updates that have already been installed and not showing the “open” button once the app is there.

  • Johnny

    done exactly what you said, could only see blobs for 5.1 and it always gives an unknown error 1604

  • suhail

    hi! on opening itunes to restore! it extracts the software but then there is an eror which says that “the iphone could not be restored. an unknown error occurred (11)”. plz plz plz help me!!

  • ali

    bro what to do when there is error 1600 in the itunes?????

  • help

    on my ifaith it’s says NONE after i click on show list of avaible ….. ? what should i do?

  • Mohamed

    Worked as expected after a couple of tries. In fact, I did not get the option to install 6.1.3, but instead it was 5.1.1. Even the DFU crashed on me once, and restarted the process. It is now downgraded, but I it is linked to the previous owner ID which I don’t have the password. It is NOT stolen, bought from CL. Ho
    How to bypass the activation process? or activate it using my ID?

  • BaRoN

    my iphone’s version is ios 7.0.3 so, I can’t save SHSH blobs of 6.1.3 bcz it is not shown me there
    please can any1 help me how to find and save it or other versions can be applied for it such as 6.1.2?

  • Jamie

    I have saved iOS 7.0.3 shsh blob for my iPod touch 5th gen. Is there a way I could change the codes of an iOS 7 shsh to make it valid to downgrade to ios 6.1.3?

  • Asif Khalil

    you guys are the best! thanks alot fellas

  • Knightzen Jiro

    not use iphone 5?

  • Nate

    Please, make ifaith to work with iPad 4. I hate iOS 7 and have been looking everywhere that might help me get back to iOS 6.1.3. ifaith is the only thing that I have heard that really works. Please help me!

  • jordan

    will my pictures or any other information/phone contents be deleted when downgrading from ios 7 to ios 6 when i do NOT use a previous backup, but rather a downloaded version of ios 6?

  • jeff

    can u send me blobs??? i cant download blobs for 6.1.3 email: a7x.jeff08@gmail.com

  • Binod Paudel

    i do not have 6.1.3 shsh blobs but i have 6.1.2 shsh blobs. with this 6.1.2 blobs can i downgrade to 6.1.x

    • http://www.iphonehacks.com iPhoneHacks

      Yes, you can downgrade using 6.1.2 to iOS 6.1.2 and use Evasi0n to jailbreak.

      • Binod Paudel

        as i say i have shsh blobs of 6.1.2 but when i am downloading using ifaith at first ifaith say successfully downloaded ..then i click ok one error message come like this :
        ————————————————————————————-
        ifaith has found that following aptickets are incomplete:
        6.1.2 (10B146 ) [Cydia]
        *This impacts your ability to restore using the listed blobs !
        *Restoring with the listed blobs may put your device in a DFU loop !
        ————————————————————————————-
        What does this means ?? can i downgrade to 6.1.2 ? can i save shsh blobs of 7.0.2 ? Please help me

    • Sanju

      Hey would you please mail me the shsh blob that you have for 6.1.2! Thanks.
      mr.mesmerizer@yahoo.com
      And about your doubt…you can only downgrade to the version of the shsh blob you have.
      For eg. If you have shsh blob for 6.1.2; so you can downgrade to iOS 6.1.2 only!
      Don’t forget to mail me!

  • ulises

    hello am trying to downgrade 7.0.3 to ios 6.1.3 but i never jailbroke my device and then it says i have no blobs what can i do to downgrade it to 6.1.2

  • Calem

    Just a bit of information for anyone who may need it,
    If you have the SHSH blobs for your current IOS (lets say you have an iPhone 4 running 5.0.1) and for whatever reason, you want to restore your iPhone and keep the same IOS (5.0.1) you can create your signed IPSW for 5.0.1 following the instructions and after entering the PWNED DFU state, iTunes will restore your iPhone with the signed IPSW, giving you a clean restore, but keeping the same IOS.
    This is very useful for anyone who may have gotten themselves stuck with a keyboard full of “?” as I had, or wanted a restore for whatever reason, but keeping the same IOS.

  • Jacky Teaw

    my iphone 4 only can downgrade from ios 7 to ios 4….

    Can i downgrade to ios 4 then upgrade to ios 6 again???

  • jayzee

    HELP!! the blobs that im getting is only 5.1.1 will it still work for my iphone 4 ios 7. will it do fine ?? my goal is to just downgrade it to something lower.. but i cant seem to get 6.1.3 blobs.. thanks in advance..

  • Vang Savuth

    i have problem with message “ifaith has failed to verify the following aptickets”

  • Dev

    want shsh Blob of iOS 6.1 upgraded to 7.0.3 iPhonr4 [GSM] [iPhone3,1] ECID(HEX):000003FE290ED575 ECID(DEC):4390145414517

  • Apaar

    Can you please tell me if i could downgrade iphone 4 if i have neva jailbroken my phone?!??

  • mrhelpme

    if i have previously jailbroken in ios 6, will i be able to still use this method to downgrade to ios 6 again??

  • ahmed omar

    hello….i have a couple of question…when i downloaded i faith and tried to download the ios 6.1.3 bloobs it wasent in the list the latest version was IOS 6.0.1……what should i do do i have to down grade to IOS 6.0.1 or do i have another option .

  • Ashok

    i have problem with message “ifaith has failed to verify the following aptickets”

    • Khalid

      try redsnow.

  • newbie

    What should i do when there are no available SHSH on the TSS server?
    Pls help me out..i hate iOS 7. It kills my little iPhone 4. Its not for him.

  • Anduenn Abazi

    Can turn from 7.0.4 to 6.1.3

  • Ahbeng Beng

    work on ios 7.0.4?

  • Ahbeng Beng

    my blob only can use on ios 5.1.1

  • zeeshan Ali

    i can’t get 6.1.3 on available blobs. what should i do?

  • ngacupmok

    hi. i do not save my 6.1.3 blob. but i can download it from i faith. can i use it? currently im on ios 5.1.1… i never update. i want to update to 6.1.3 is there is unthethered jb…

  • serg

    Help, I only have 5.1.1 shsh, what now??? Thank you (iphone 4 ios 7.0) Want to go back to 6.1.3 !!!

  • Kishore Msk

    i want to downgrade my iphone4 any one help me.

    by using tinyumbrella i tried to save SHSH blobs but this process has been aborted my iphone device,

    any one help me to downgrade my iphone

  • christian

    can i use this to downgrade itouch 4g ios 6.1.5 to 5.1.1?tnx

  • ahmed

    what can i do
    when 11.0 installed on my lap top >>> this messagr appears ( your i phone cannot be used because it requires 11.1 or later

  • azboot

    hi

    i had saved 6.0.1 and 5.1 shsh blobs (0000037B5516EDAC_5.1-9B176_cydia.shsh) but it would only accept the 5.1 version as valid.

    i downloaded the 5.1 software directly via ifaith and also tried the downloaded ios 5.1 from the web but when i try to do step 5 ” Build signed ipsw w/blobs” it accepts the shsh blobs but wont accepth the firmware i downloaded.

    My device was already jailbroken when i saved the shsh blobs. Is that why the issue is happening here?

    this is what message i get

    pls help
    thanks

  • cheah soo yong

    if my iphone 4 never jailbrake so can i use SHSH blobs to downgrade from 7.0.4 to 6.1.3???

    • yazmany moscoso

      yes but you’ll need your previous 6.1.3Blob file or it will not. and you’ll need an iTunes version 11.0.5 or lower(im using 11.0.5) and iFaith… remember, this is not a jailbreak!!!! just a downgrade… if you need any other help just ask me

      • Affan Suid

        the question is… how can I get blob 6.1.3 in iOS 7.0.4?
        and I never jalibrake my iPhone before

        • yazmany moscoso

          im afraid not, each blob should be unique to each device… plus its getting alot harder now since apple inst signing none of the IPSW 6.1.3 or lower.. :(

  • noob

    When I go to downgrade iTunes from 11.1.3.8 to 11.0, will I lose the contents of my library?

  • scout

    there is no 6.1.3 blobs. there are only 4.3.5 and 5.0.1

  • Alaa Abu Othman

    i have iphone 4 GSM and i try to downgrade but i got error :
    pelase who can help me i have to downgrade :(

  • Krunal Khunt

    running on 7.0,3 will it works,,,,,,???/

  • Mai Luengas-Plasabas

    i got error 1600

  • zack

    this is preserve baseband?

  • monu

    itunes is showing error that .. it can’t read the library because it’s created by newer version.

  • monu

    there is no available blobs in the list !! please help

  • monu

    no available blobs.. please help

  • Ivan

    It works amazingly!!!!!!

  • Octavia TavyBaby Warren

    I dont have these blobs saved.. Am i screwed? Can I use a blob from a friends phone?

  • Peter azmy

    i need 6.1.3. blobs my mail peter.azmy@gmail.com phone model iphone 4 GSM i need it as fast as you can

    More thanks for this useful discussion

  • The Caveman

    I’m trying to downgrade my iPad 2 from 7.0.4 to anything below 7. Can anyone help?

  • Justin Elliott

    ifaith cannot find any shsh blobs…is there anything I can do about this?

  • Ankit

    Hey im downgrading to ios 5.1.1 will it work for that ?

  • Ankit

    Will it work for iphone 4 for downgrade to ios 5.1.1 ?????

  • mnizzle

    Is there any way to enter dfu mode with a broken power button??

  • help

    hi,
    .it dosent show any thing in available blobs its like null please help me out i want to dowgrade 6.1.3

  • anthony mattola

    I have an iPad 3 iOS 7.4 can I down grade to 6.1.3?

  • Yungstar Productions

    I get error 3194 on mines.

  • shashi

    can you please help.
    i have 4s with ios7.0.4 with no shsh blobs
    is there a way to downgrade to ios6 by any means.
    thanks.

  • Πανος

    Great Guide, and happy new year! I Got two questions!

    1. Ifaith shows only 2 shsh ios 5.1.1 since i didn’t inistalled 6.1 and i had upgrade from 5.1.1 to 7, so is there any hope to downgrade from 7 to 6 ios with 5.1.1 shsh blobs?
    2. If i install 5.1.1 firmware with shsh fetched blob, can then upgrade from 5.1 to 6.1.3 without SHSH ? blobs?

    thanx all

  • Mahmood

    can you please send me the shsh blobbs to this email address mahmoodmohseni60@yahoo.com

  • amit

    plz mail me shsh blob for ios 6.1.3 @ tanwarboy19@gmail.com

  • Keith ng

    Can send me the SHSH blobMy email is ihate_uuu@hotmail.com

    Thanks in advance

  • jazel

    I was able to downgrade to 5.1.1. I dont have shsh blobs for any 6.x FW stored. I would like to confirm that there is nothing I can do to upgrade now to 6.x???
    Thx in advance.

    • Macs suck

      Nope. It will automatically want to update you to the latest firmware your device can have. without shsh blobs your SOL

  • Len

    I have iTunes 11.1.2 and I haven’t used it on this comp since 1/5/2012 where the latest backup is. I’m assuming this is a backup prior to iOS7. Where do I find this backup file so I can use it in iTunes 11.0.xx to restore my iPhone 4 to iOS6.x.x?

  • Rolando

    how to download ifath

    • Macs suck

      Look it up

  • Macs suck

    How would i get this on a mac? redsnow doesnt allow because it has never been updated since 5.1.1 and i have blobs from 5.0.1 to 7.0.4 and i want ios 6.1.2 or any other and i cannot with redsnow and ifaith is an .exe and nothing i have tried is letting me run it. Anyone have any ideaS?

  • Macs suck

    Just so people know, aren’t Shsh blobs only built for your device? People are asking for them but they are built specifically for just your phone? I don’t know if people are getting that confused with the IPSW which is the same for everyone. Just a guess but the SHSH blobs are different for every device?

  • Len

    Heya. On my main comp, I have an iPhone4 backup from 1/15/2012 on iTunes v. 11.1.2.32. (I have 2 desktops, the other one was used to upgrade my device to iOS7.x.x.) If my logic is correct, this should be a backup from prior to iOS7 and I should be able to downgrade my iPhone to that backup/version providing I can find it on my system somewhere. Seeing as how my current version of iTunes won’t downgrade my iPhone to 6.x.x, where can I find this back up from 1/15/2012 and save it outside the iTunes directory and reinstall iTunes 11.0.x (which will allow for “downgrading” of the iOS)

    I’m running Win7 64Bit version.

    Thanks in advance.

  • יונתן אדיסו

    when i try to create a blob i get an error telling me that if i try to use that blob my iphone will be stuck in a DFU loop,PLS HELP!

  • awesome

    ok i didnt do the
    SHSH blobs
    and i am on ios 7
    what to do?

  • karan

    hey buddy i cnt see 6.1.3 cydia in my shsh list… how come???

  • mehfuz

    i try it but i restoring with itunes i get this error 1600
    what i do

  • abhishek chauhan

    my iphone 4 is not jailbraked.. will it work..??

  • guestt

    not getting the shsh blobs for ios 7.0.4 .It is coming a none option only when I run iFaith. plss helpp anyone. I hate ios7 , and want to get back on ios6.1.3 pls pls anyone help me.
    its would be greatful to me … pls ../

  • Saeedmwc

    Hello, Please let me know if the procedure defined above still works, and have not been patched by Apple. 2nd is there any way to downgrade iOS if SHSH has not been saved. In my Case I have bought old iphone 4 and they are iOS7, I need to unlock them please guide if possible. Thanks.

  • me

    did i have to do anything before the downgrade while on 6.1.4 like jailbreak because ive never done that

  • bobert

    do i need MY shsh blobs from ios 6.1.3 or can i download someone else’s

  • lathu

    please send me the shsh blobs for 6.1.3 my mail id is
    lavatheesan@gmail.com

  • Sambooker

    can an iphone 5 with ios 7.0.4 be downgraded to a lesser ios

  • marcello

    once you have iFaith made the signed ISPW your Iphone has to be in pwn DFU state (if you fail to get in this mode you simply reopen iReb). Only if you start iTunes in this mode you are able to restore with your ISPW an get no error.

  • Leng Chin Ong

    Hi, i need help. When I am in ‘SHSH Cache Server’,i was told that ‘the following aptickets are incomplete: 6.1.2(10B146)[Cydia] *this impacts your ability to restore using the listed blobs & *restoring with the listed blobs may put your device in DFU loop. So i ‘browse for SHSH blobs’, it said ‘the provided apticket does not look valid, iFaith refuse to build an IPSW with this aptickt as it may put your device in an inusable state.’ Please help me, thank you.

  • John

    Yes I was trying to downgrade my iPod touch 5 how can I do this

  • asif

    not able to download shsh blob ……it is tlling me to download new ifaith vrsion

  • hamza

    my iPhone 4 shows on available blobs only 5.0.1,5.1.1 and 5.1.1r1
    what should i do???????/

  • Chioh

    my iphone only have 5.0.1 blobs…how i get the 6.1.3 blobs?help plz…

  • robert

    help my phone is in recovery mode i went through restore on my iphone 4CDMA iphone 3,3 and it finished the restore and kicked my phone into recovery mode and i cannot get out of it please help ASAP

  • justicegundam

    i dont have shsh blob, and what is the function of shsh blob, and how to have it, please anyone i have been doing this all day long, still cannot fix my 3194 error, oh please anyone help me…

  • Ali

    friends i dont have that blobs send me that on ahmad_ali.1616@yahoo.com plzzzz i want ios 6 hate 7 on iPhone 4

  • Harshal Gajjar

    Will 7.1 work?

  • Edon

    Does this work for iphone 4s , thank you for your help anyway

    • Gautam

      No, iOS 6.1.6 was only released for iPhone 3GS and iPod touch 4g.

  • Hamid Raza

    HEY I AM GETTING ERROR 1600 WHAT TO DO PLEASE HELP ME REALLY NEEDED

  • Rizal Latip

    now problem 11 on itune how to fix…>?

  • Dp Dhruv PaTel

    if I haven’t blobs and I already have iOS 7,, and I wanna downgrade to 6.1.3?? is there any solution?

  • ranvir

    can u send me

    ifaith

    ad ipone version 6.0.3

    on pardp5911@gmail.com

    or on ranvirtoot@gmail.com

    @iPhoneHacks:disqus

  • Raghavendra Rao

    does it work for ios 7.1? or only 7.0.2?

  • Iphone4s

    Iphone 4 which is registrered with an apple id of someone else, how can i start the phone without this apple id password ?

  • valle

    i don’t see any blogs? why?

  • valle

    you can email me at valle1018@hotmail.com with all the info. I have IOS 7.1 and want to downgrade so I can jailbreak and unlock my Iphone 4s.

  • ibrahim

    hi, can you e-mail me the blobs ?

    ibrahimnasr201095@yahoo.com

  • burim12

    im not getting the 6.1.3 on available blogs i`m getting only 6.0.1 and some others pls help

  • Anees

    plz anyone send me shsh blobs for ios 6.1.3 at this email address seenakilam@gmail.com

  • Gergo Lenart

    It works on my iphone4 (downgrade from 7.1.1 to 4.3.4) thanks a lot :)

  • Mario

    I dont have SHSH 6.1.3. You have link for me….

  • rifqi

    can someone send me ssh 6.1.1 ssh please my email icewatt1@gmail.com

  • Geo

    I have iPhone 4 with 6.1.2 SSH Blobs, really want shot of iOS7, can I downgrade.

  • Geo

    My 6.1.2 BLOBS are saved to my PC hard drive, can I downgrade

  • Geo

    Im screwed when I fetch blobs its lists only 5.1,

  • Geo

    Well i have created a ipsw for 6.1 not 6.1.3

  • john

    sombody pleaaaaaaaaaaaaaase sent me his shsh blobs for ios 6.1.3 on

    ahmad.ali.algessi@gmail.com pleaaaaaaaaase

  • sukhi

    i need blobs files

  • eyegon

    successful downgrade from 7.1.1 back to 6.1.3 and re-jail broke.

  • Manish Verma

    Hey Guyzz.. I have ios 7.1 in my Iphone 4 and i didn’t save the SHSH blob when i upgraded. So i am stuck with this ios 7.1. I have ifaith and i have heard that SHSH blobs are device specific . I want to downgrade to 6.1.03. Could you please help?

  • IOS Help

    is there a way to downgrade 7.0.2 to 6.1. for Iphone 4S (Model A1387) ?

  • asjey

    you know guyz these guyz didnt give the right info any time we have go behind them every time you all have studied well so learn to do thing to ur self